> This page is for version v2026.01.16-dev.
> For other versions, use one of these documentation indexes:
> - latest (default): https://docs.machanirobotics.dev/latest/llms.txt
> - v2026.01.16-dev: https://docs.machanirobotics.dev/v-2026-01-16-dev/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.machanirobotics.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.machanirobotics.dev/_mcp/server.

# Get Wifi Access Point

GET https://api.machanirobotics.com/v1/management/networks/{network}/wifiAccessPoints/{wifiAccessPoint}

Retrieves a specific wifi access point.

Reference: https://docs.machanirobotics.dev/v-2026-01-16-dev/2026-01-16-dev/latest/network-service/getwifiaccesspoint

## Request

### Path parameters

- `network` (string, required) — The network id.
- `wifiAccessPoint` (string, required) — The wifiAccessPoint id.

## Response

### 200

OK

- `name` (string, optional) — Identifier for the network access point resource. Format: //system.v1.engine.core.machanirobotics.com/networks/\{network}/wifiAccessPoints/\{wifi\_access\_point}
- `ssid` (string, optional) — The SSID (network name) of the WiFi network access point. This field is populated by the system and cannot be modified by clients.
- `bssid` (string, optional) — The BSSID (MAC address) of the WiFi network access point. Example: "00:11:22:33:44:55" This field is populated by the system and cannot be modified by clients.
- `signalStrength` (integer, optional) — Signal strength of the network access point in percentage. This field is populated by the system and cannot be modified by clients.
- `channel` (integer, optional) — The radio channel used by the access point. This field is populated by the system and cannot be modified by clients.
- `frequency` (integer, optional) — The frequency used by the access point. This field is populated by the system and cannot be modified by clients.
- `maxBitrate` (integer, optional) — The maximum bitrate (in Mbps) of the access point
- `securityCapabilities` (list of integer, optional) — List of security capabilities advertised by this access point. This represents the security protocols supported by the access point. This field is populated by the system and cannot be modified by clients.

## Errors

### 400 Bad Request Error

Bad Request

- `code` (integer, optional) — The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
- `message` (string, optional) — A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
- `details` (list of GoogleProtobufAny, optional) — A list of messages that carry the error details. There is a common set of message types for APIs to use.

## Types

### GoogleProtobufAny

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

- `@type` (string, optional) — The type of the serialized message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "name": "//system.v1.engine.core.machanirobotics.com/networks/net123/wifiAccessPoints/ap456",
  "ssid": "MachaniRobotics_Network",
  "bssid": "00:11:22:33:44:55",
  "signalStrength": 78,
  "channel": 6,
  "frequency": 2437,
  "maxBitrate": 300,
  "securityCapabilities": [
    4,
    8
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.machanirobotics.com/v1/management/networks/network/wifiAccessPoints/wifiAccessPoint")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```